=== debian/tests/control ===
Tests: python3
Depends: liblerc3, python3-lerc
