## lerc 3.0+ds

=== debian/changelog ===
lerc (3.0+ds-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 08 Dec 2021 10:58:37 +0000

lerc (3.0+ds-1~exp1) experimental; urgency=medium

  * Initial release (Closes: #998171).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 02 Nov 2021 14:24:34 +0000
