=== debian/control ===
Source: lerc
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: libs
Priority: optional
Testsuite: autopkgtest-pkg-python
Build-Depends: cmake,
               debhelper-compat (= 12),
               dh-python,
               pkg-kde-tools,
               python3-all,
               python3-numpy,
               python3-setuptools
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/lerc
Vcs-Git: https://salsa.debian.org/debian-gis-team/lerc.git
Homepage: https://github.com/Esri/lerc
Rules-Requires-Root: no

Package: liblerc3
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Limited Error Raster Compression library
 LERC is an open-source image or raster format which
 supports rapid encoding and decoding for any pixel
 type (not just RGB or Byte). Users set the maximum
 compression error per pixel while encoding, so the
 precision of the original input image is preserved
 (within user defined error bounds).

Package: liblerc-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: liblerc3 (= ${binary:Version}),
         ${misc:Depends}
Description: Limited Error Raster Compression library (Development files)
 LERC is an open-source image or raster format which
 supports rapid encoding and decoding for any pixel
 type (not just RGB or Byte). Users set the maximum
 compression error per pixel while encoding, so the
 precision of the original input image is preserved
 (within user defined error bounds).
 .
 This is a development package of LERC.

Package: python3-lerc
Architecture: all
Section: python
Depends: liblerc3,
         python3-numpy,
         ${python3:Depends},
         ${misc:Depends}
Description: Python 3 bindings to the Limited Error Raster Compression library
 LERC is an open-source image or raster format which
 supports rapid encoding and decoding for any pixel
 type (not just RGB or Byte). Users set the maximum
 compression error per pixel while encoding, so the
 precision of the original input image is preserved
 (within user defined error bounds).
 .
 This is a Python package of LERC.
