## lerc 4.0.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,9 @@
-cmake_minimum_required (VERSION 3.11)
-project (Lerc)
+cmake_minimum_required(VERSION 3.12)
+
+project(Lerc
+        DESCRIPTION "Limited Error Raster Compression"
+        HOMEPAGE_URL "https://github.com/Esri/lerc"
+        VERSION 4.0.0) # Keep in sync with Lerc_c_api.h
 
 include(GNUInstallDirs)
 
@@ -22,7 +26,14 @@
     PUBLIC_HEADER "src/LercLib/include/Lerc_types.h;src/LercLib/include/Lerc_c_api.h")
 
 if(BUILD_SHARED_LIBS)
-    set_target_properties(Lerc PROPERTIES DEFINE_SYMBOL LERC_EXPORTS)
+    set_target_properties(Lerc
+        PROPERTIES
+        SOVERSION ${CMAKE_PROJECT_VERSION_MAJOR}
+        DEFINE_SYMBOL LERC_EXPORTS)
+else()
+    set_target_properties(Lerc
+        PROPERTIES
+        COMPILE_DEFINITIONS LERC_STATIC)
 endif()
 
 install(
@@ -32,3 +43,8 @@
     ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
     PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
 )
+
+# Configure and install pkgconfig file
+configure_file(Lerc.pc.in ${CMAKE_CURRENT_BINARY_DIR}/Lerc.pc @ONLY)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/Lerc.pc
+        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
