=== debian/changelog ===
lerc (4.0.0+ds-5ubuntu1) plucky; urgency=medium

  * debian/liblerc4.symbols: 
    - Mark inlined symbol as optional. This symbol may or may not exist
      depending on optimization.

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 22 Nov 2024 10:01:31 +0100

lerc (4.0.0+ds-5) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.

  [ Antonio Valentino ]
  * debian/rules:
    - Enable optimize=+lto.
  * Update symbol file for amd64.
  * Update dates in d/copyright.

  [ Helmut Grohne ]
  * Fix FTCBFS: Demote python dependencies to B-D-I. (Closes: #1086690).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 05 Nov 2024 06:45:54 +0000

lerc (4.0.0+ds-4) unstable; urgency=medium

  * New d/clean file.
  * Update symbolfile.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 03 Dec 2023 16:46:30 +0000

lerc (4.0.0+ds-3) unstable; urgency=medium

  [ Antonio Valentino ]
  * debian/rules:
    - remove -c0 override for dpkg-gensymbols on Ubuntu (Closes: #1013146).
      See also https://salsa.debian.org/debian-gis-team/lerc/-/merge_requests/1.
  * debian/control:
    - update package description.
    - build depend on architecture-is-little-endian.
  * Switch to autopkgtest-pkg-pybuild and remove the no
    longer needed d/tests folder.
  * Update dates in d/copyright.

  [ Bas Couwenberg ]
  * Enable numpy3 dh helper.
  * Enable Salsa CI.
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.
  * Switch to dh-sequence-*.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Sep 2023 08:20:46 +0000

lerc (4.0.0+ds-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update library package name.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 15 Oct 2022 08:54:09 +0000

lerc (4.0.0+ds-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 31 Jul 2022 07:29:34 +0000

lerc (4.0.0+ds-1~exp2) experimental; urgency=medium

  * Update symbol file for all architectures.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 30 Jul 2022 09:49:42 +0000

lerc (4.0.0+ds-1~exp1) experimental; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.1, no changes.
  * Use supported python3 versions in autopkgtest.
  * Use #PACKAGE# substitution in symbols file.
  * Include pkg-config file in liblerc-dev.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/copyright
    - exclude pre-built binaries and unused language bindings
      located in OtherLanguages
    - update copyright date.
  * debian/tests:
    - add test dependency on python3-all.
  * debian/patches:
    - drop 0001-Specify-the-soversion.patch and
      0002-Use-system-libLerc.patch: applied upstream.
  * Update the package name to match soname.
  * Update symbol file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 23 Jul 2022 07:34:08 +0000
