=== debian/control ===
Source: lerc
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: libs
Priority: optional
Testsuite: autopkgtest-pkg-pybuild
Build-Depends: architecture-is-little-endian,
               cmake,
               debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               pkg-kde-tools,
               python3-numpy <!nocheck>
Build-Depends-Indep: dh-sequence-numpy3,
                     dh-sequence-python3,
                     python3-all,
                     python3-numpy,
                     python3-setuptools
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/lerc
Vcs-Git: https://salsa.debian.org/debian-gis-team/lerc.git
Homepage: https://github.com/Esri/lerc
Rules-Requires-Root: no
Description: Limited Error Raster Compression library
 LERC is an open-source image or raster format which
 supports rapid encoding and decoding for any pixel
 type (not just RGB or Byte). Users set the maximum
 compression error per pixel while encoding, so the
 precision of the original input image is preserved
 (within user defined error bounds).

Package: liblerc4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: liblerc-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: liblerc4 (= ${binary:Version}),
         ${misc:Depends}
Description: ${source:Synopsis} (Development files)
 ${source:Extended-Description}
 .
 This is a development package of LERC.

Package: python3-lerc
Architecture: all
Section: python
Depends: liblerc4,
         ${python3:Depends},
         ${misc:Depends}
Description: Python 3 bindings to the ${source:Synopsis}
 ${source:Extended-Description}
 .
 This is a Python package of LERC.
