=== debian/rules ===
--- 
+++ 
@@ -7,17 +7,16 @@
 UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')
 
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all optimize=+lto
 export PYBUILD_NAME=lerc
 
 %:
-	dh $@ --with python3,pkgkde_symbolshelper --buildsystem=cmake
+	dh $@ --buildsystem=cmake
 
 override_dh_auto_clean:
 	dh_auto_clean
 	dh_auto_clean --builddirectory build-static
-	dh_auto_clean --buildsystem=pybuild --sourcedirectory=OtherLanguages/Python
-	$(RM) -r OtherLanguages/Python/lerc.egg-info
+	if command -v pybuild >/dev/null; then dh_auto_clean --buildsystem=pybuild --sourcedirectory=OtherLanguages/Python; fi
 
 override_dh_auto_configure:
 	dh_auto_configure
@@ -33,10 +32,19 @@
 		python3 -c "import lerc; assert lerc.test() == 0"
 endif
 
-override_dh_auto_install:
+execute_after_dh_auto_install:
+	dh_auto_install --builddirectory build-static
+
+override_dh_auto_install-indep:
 	dh_auto_install --buildsystem=pybuild -ppython3-lerc --sourcedirectory=OtherLanguages/Python
-	dh_auto_install --builddirectory build-static
-	dh_auto_install
 
+# Ubuntu wants the build to fail when symbols disappear
 override_dh_makeshlibs:
+ifneq ($(shell dpkg-vendor --query vendor),Ubuntu)
 	dh_makeshlibs -- -v$(UPSTREAM_VERSION) -c0
+else
+	dh_makeshlibs -- -v$(UPSTREAM_VERSION)
+endif
+
+override_dh_numpy3:
+	dh_numpy3 -p python3-lerc
